config/routes.rb
Rails.application.routes.draw do
  get 'welcome/index'

  resources :offices
  resources :associates
  resources :admins
  devise_for :users
  resources :projects
	resources :members
  root to: 'welcome#index'
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end

app/models/office.rb
class Office < ApplicationRecord
end

app/controllers/offices_controller.rb
class OfficesController < ApplicationController
  before_action :set_office, only: [:show, :edit, :update, :destroy]

  # GET /offices
  # GET /offices.json
  def index
    @offices = Office.all
  end

  # GET /offices/1
  # GET /offices/1.json
  def show
  end

  # GET /offices/new
  def new
    @office = Office.new
  end

  # GET /offices/1/edit
  def edit
  end

  # POST /offices
  # POST /offices.json
  def create
    @office = Office.new(office_params)

    respond_to do |format|
      if @office.save
        format.html { redirect_to @office, notice: 'Office was successfully created.' }
        format.json { render :show, status: :created, location: @office }
      else
        format.html { render :new }
        format.json { render json: @office.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /offices/1
  # PATCH/PUT /offices/1.json
  def update
    respond_to do |format|
      if @office.update(office_params)
        format.html { redirect_to @office, notice: 'Office was successfully updated.' }
        format.json { render :show, status: :ok, location: @office }
      else
        format.html { render :edit }
        format.json { render json: @office.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /offices/1
  # DELETE /offices/1.json
  def destroy
    @office.destroy
    respond_to do |format|
      format.html { redirect_to offices_url, notice: 'Office was successfully destroyed.' }
      format.json { head :no_content }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_office
      @office = Office.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def office_params
      params.require(:office).permit(:nome, :porcentagem)
    end
end

app/helpers/offices_helper.rb
module OfficesHelper
end

app/views/offices/_form.html.erb
<%= form_with(model: office, local: true) do |form| %>
  <% if office.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(office.errors.count, "error") %> prohibited this office from being saved:</h2>

      <ul>
      <% office.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>


  <div class="field">
    <%= form.label :nome %>
    <%= form.text_field :nome, id: :office_nome %>
  </div>

  <div class="field">
    <%= form.label :porcentagem %>
    <%= form.text_field :porcentagem, id: :office_porcentagem %>
  </div>

  <div class="actions">
    <%= form.submit %>
  </div>


<% end %>

app/views/offices/edit.html.erb
<h1>Editing Office</h1>

<%= render 'form', office: @office %>

<%= link_to 'Show', @office %> |
<%= link_to 'Back', offices_path %>

app/views/offices/index.html.erb
<p id="notice"><%= notice %></p>

<h1>Cargos</h1>

<table>
  <thead>
    <tr>
      <th>Nome</th>
      <th>Porcentagem</th>
      <th colspan="3"></th>
    </tr>
  </thead>

  <tbody>
    <% @offices.each do |office| %>
      <tr>
        <td><%= office.nome %></td>
        <td><%= office.porcentagem %></td>
        <td><%= link_to 'Show', office, class: "btn btn-round btn-primarybtn btn-round btn-primarybtn btn-round btn-primary" %></td>
        <td><%= link_to 'Edit', edit_office_path(office), class: "btn btn-round btn-primarybtn btn-round btn-primarybtn btn-round btn-primary" %></td>
        <td><%= button_to 'Destroy', office, class: "btn btn-round btn-primarybtn btn-round btn-primarybtn btn-round btn-primary", method: :delete, data: { confirm: 'Are you sure?' } %></td>
      </tr>
    <% end %>
  </tbody>
</table>

<br>

<%= link_to 'New Office', new_office_path, class: "btn btn-primary" %>

app/views/offices/new.html.erb
<h1>New Office</h1>

<%= render 'form', office: @office %>

<%= link_to 'Back', offices_path %>

app/views/offices/show.html.erb
<p id="notice"><%= notice %></p>

<p>
  <strong>Nome:</strong>
  <%= @office.nome %>
</p>

<p>
  <strong>Porcentagem:</strong>
  <%= @office.porcentagem %>
</p>

<%= link_to 'Edit', edit_office_path(@office) %> |
<%= link_to 'Back', offices_path %>